`timescale 1ns/1ps

module timebase_tb #(parameter N = 21);

   logic clk;
   logic reset;
   logic [N-1:0] count;
   
   timebase test (clk, reset, count);

   always
      #5 clk = ~clk;
   initial
      clk = 0;

   initial begin
      $dumpfile("output.vcd");
      $dumpvars;
           reset = 1; 
     #10;  reset = 0; 
     #200; reset = 1; 
      $finish;
   end

endmodule
